Subject: Re: [amos-list] Sample Playing, PT Raw...
From: Claude Heiland-Allen <[email-masked]>
To: [email-masked]
Date: Thu, 29 Jul 1999 00:27:09 +0100 (BST)

From: =?iso-8859-1?q?Claude=20Heiland-Allen?= <[email-masked]>

--- "Scooter D. Matott sXe"
<[email-masked]> wrote:
> Awhile back I asked about PT raw and somebody
> replied
> saying the custom audio chips could only handle
> samples
> so big and anything bigger needed to be buffered in,

The limit is 131072 bytes (or close), due to Paula.
To get around this you can use AmigaOS audio.device,
sending max-length blocks one after the other until
the sample is all played (the iorequests are queued).

>From AMOS I don't know.  I could probably give code
for playing one long sample, but more than one would
be pretty tricky.

Try chopping samples up into smaller samples. 
(Tricky)

Try transposing the samples an octave up (resample)
and playing them at a lower pitch.  (Poor quality)

> it starts terds out very early on big sample and
> dies jsut before then end of small samples...

Basically, if you chop 131072 bytes from the end until
there is less than that left, that is what will play.
So a 140000 bytes sample will play only 9000 bytes.

Claude

_____________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.co.uk address at http://mail.yahoo.co.uk

--------------------------- ONElist Sponsor ----------------------------

Congratulations DALMATIANRESCUE. Our latest ONElist of the week.
To see full story and submit YOUR ONElist story, go to
http://www.onelist.com/info/ootw_19.html

------------------------------------------------------------------------
Official AMOS WWW: http://members.xoom.com/AmosFactory/front.html